Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.gvt
Class TextNode.Anchor

    java.lang.Object
      org.apache.batik.gvt.TextNode.Anchor

All Implemented Interfaces:
  Serializable

Enclosing class:
  TextNode

    public static final class TextNode.Anchor

extends Object
implements Serializable

Defines where the text of a `TextNode` can be anchored relative to its location.

See Also:
  Serialized Form

Field Summary
`static int` | `ANCHOR_END` The type of the END anchor.
`static int` | `ANCHOR_MIDDLE` The type of the MIDDLE anchor.
`static int` | `ANCHOR_START` The type of the START anchor.
`static TextNode.Anchor` | `END` The anchor which enables the rendered characters to be aligned such that the end of the text string is at the initial current text location.
`static TextNode.Anchor` | `MIDDLE` The anchor which enables the rendered characters to be aligned such that the middle of the text string is at the initial current text location.
`static TextNode.Anchor` | `START` The anchor which enables the rendered characters to be aligned such that the start of the text string is at the initial current text location.

Method Summary
`int` | `getType()` Returns the type of this anchor.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ANCHOR_START

    public static final int ANCHOR_START

  The type of the START anchor.

  See Also:
    Constant Field Values

### ANCHOR_MIDDLE

    public static final int ANCHOR_MIDDLE

  The type of the MIDDLE anchor.

  See Also:
    Constant Field Values

### ANCHOR_END

    public static final int ANCHOR_END

  The type of the END anchor.

  See Also:
    Constant Field Values

### START

    public static final TextNode.Anchor START

  The anchor which enables the rendered characters to be aligned such that the start of the text string is at the initial current text location.

### MIDDLE

    public static final TextNode.Anchor MIDDLE

  The anchor which enables the rendered characters to be aligned such that the middle of the text string is at the initial current text location.

### END

    public static final TextNode.Anchor END

  The anchor which enables the rendered characters to be aligned such that the end of the text string is at the initial current text location.

Method Detail

### getType

    public int getType()

  Returns the type of this anchor.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.